package com.icx.javaproxytunnel.model;

import com.fasterxml.jackson.annotation.*;

public class ExecutionInfo {
    private long contactID;
    private long busNo;
    private long requestID;
    private String actionType;
    private long actionID;
    private String scriptName;

    @JsonProperty("contactId")
    public long getContactID() { return contactID; }
    @JsonProperty("contactId")
    public void setContactID(long value) { this.contactID = value; }

    @JsonProperty("busNo")
    public long getBusNo() { return busNo; }
    @JsonProperty("busNo")
    public void setBusNo(long value) { this.busNo = value; }

    @JsonProperty("requestId")
    public long getRequestID() { return requestID; }
    @JsonProperty("requestId")
    public void setRequestID(long value) { this.requestID = value; }

    @JsonProperty("actionType")
    public String getActionType() { return actionType; }
    @JsonProperty("actionType")
    public void setActionType(String value) { this.actionType = value; }

    @JsonProperty("actionId")
    public long getActionID() { return actionID; }
    @JsonProperty("actionId")
    public void setActionID(long value) { this.actionID = value; }

    @JsonProperty("scriptName")
    public String getScriptName() { return scriptName; }
    @JsonProperty("scriptName")
    public void setScriptName(String value) { this.scriptName = value; }
}
